<?php
	$P_C="CboEmp";
	//++++++++++++++++
	$LIMPIAR=0;
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//++++
	$StrEmp=V($_POST['CboEmp']);
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrTve=V($_POST['TxtTve']);
	$StrAcu=V($_POST['TxtAcu']);
	$StrTip=V($_POST['CboTip']);
	$StrNumT=V($_POST['TxtNumT']);
	$StrTotT=V($_POST['TxtTotT']);
	$StrDisT=V($_POST['TxtDisT']);	
	$StrTot=V($_POST['TxtTot']);
	$StrSal=V($_POST['TxtSal']);
	$StrObs=V($_POST['TxtObs']);
	//
	$StrFecDev=V($_POST['TxtFecDev']);
	$StrDocVen=V($_POST['TxtDocVen']);
	$StrDocNum=V($_POST['TxtDocNum']);
	$StrFecEmi=V($_POST['TxtFecEmi']);
	//
	if(strlen($StrEmp)==0)$StrEmp=GE("N");
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){$StrId="";
		}else{
			$StrCmd="AR";$LStrPag=V($_GET['Pag']);if(!is_numeric($LStrPag)){$LStrPag="";
		}}}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)	$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")	$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")	$LStrPag=0;
	if($StrCmd=="MUlt")	$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrCmd)==0){
		$StrFec=date("d-m-y");
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrEmp=gs("EMPC","vis_cobrox","ID=$Id");
		$StrAlm=gs("ALM_NC","vis_cobrox","ID=$Id");	
		$StrNUM=gs("NUM","vis_cobrox","ID=$Id");	
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')","vis_cobrox","ID=$Id");
		$StrCom=gs("COM","vis_cobrox","ID=$Id");		
		$StrSer=gs("CSER","vis_cobrox","ID=$Id");		
		$StrNum=gs("CNUM","vis_cobrox","ID=$Id");		
		$StrTve=NF(gn("TOT_VEN","vis_cobrox","ID=$Id"),1);				
		$StrAcu=NF(gn("TOT_ACU","vis_cobrox","ID=$Id"),1);				
		$StrTip=gs("TIPO","vis_cobrox","ID=$Id");
		$StrNumT=gs("DEV_NRO","vis_cobrox","ID=$Id");
		$StrTotT=NF(gn("DEV_TOT","vis_cobrox","ID=$Id"),1);				
		$StrDisT=NF(gn("DEV_SAL","vis_cobrox","ID=$Id"),1);	
		$StrTot=NF(gn("TOTAL","vis_cobrox","ID=$Id"),1);				
		$StrSal=NF(gn("SALDO","vis_cobrox","ID=$Id"),1);
		$StrObs=gs("OBS","vis_cobrox","ID=$Id");				
		$StrAnu=gs("ANU","vis_cobrox","ID=$Id");
		//
		$StrFecDev=gs("FEC_DEV","vis_cobrox","ID=$Id");
		$StrDocVen=gs("DOC_VEN","vis_cobrox","ID=$Id");
		$StrDocNum=gs("DOC_NRO","vis_cobrox","ID=$Id");
		$StrFecEmi=gs("DOC_FEC","vis_cobrox","ID=$Id");
		$StrEmp=gs("EMPC","vis_cobrox","ID=$Id");
		//		
		$LStrFoc="document.getElementById('$P_C').focus();";		
		$StrGT="S";
	}
	//	
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrFec_=ToDate($StrFec);
		if($StrTip=="DEJA"){
			$DEV_ID=gn("id_devolucion","devoluciones","dev_tipo='J' AND dev_nro_=".vbval($StrNumT));
		}else{
			$DEV_ID=gn("id_devolucion","devoluciones","dev_tipo='D' AND dev_nro_=".vbval($StrNumT));
		}
		$StrEmp_=gn("id_emp","empresas","emp_nomc='$StrEmp'");
		$StrAlm_=gn("id_almacen","almacenes","alm_obs='$StrAlm' AND alm_id_empresa=$StrEmp_");
		
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="G"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//+++
		if(strlen($StrGT)==0){
			$KOB_REG_FEC=date("Y-m-d");
			$KOB_REG_HOR=GetHoraAP();
			$KOB_REG_TIM=time();
			$KOD_ANU_FEC="1900-01-01";
			$KOB_ANU_HOR="";
			$KOB_ANU_TIM=0;
			$KOB_ANU_USU=0;
			//++++
			$Id=GenId("id_cx","cobrox");
			$StrNUM=vbr("000000".$Id,5);
			$GII=GenGI();//
			$_ID_CLI=COB_GC_22($StrCom,$StrSer,$StrNum,$StrEmp);
			$s="INSERT INTO cobrox VALUES ".
			   "($Id,'$StrNUM','$StrFec_',$StrCom_,'$StrSer',".
			   "'$StrNum',".vbval($StrTve).",".
			   vbval($StrAcu).",'$StrTip',$DEV_ID,".
			   vbval($StrTotT).",".vbval($StrDisT).",".
			   vbval($StrTot).",".vbval($StrSal).",".
			   "'$StrObs','NO',".GetIDU().",".$GII.",".
			   vbval($StrNUM).",".
			   vbval($StrSer).",".
			   vbval($StrNum).",".
			   $_ID_CLI.",'$StrFecDev','$StrDocVen','$StrDocNum','$StrFecEmi',$StrEmp_,'".
			   $KOB_REG_FEC."','".$KOB_REG_HOR."',".$KOB_REG_TIM.",'".
			   $KOD_ANU_FEC."','".$KOB_ANU_HOR."',".$KOB_ANU_TIM.",".$KOB_ANU_USU.",$StrAlm_)";	
			ejt($s);
			//
			if($StrCom_==-3){
				ejt("UPDATE cotizaciones 
					SET tot_cob=tot_cob + ".vbval($StrTot)." 
					WHERE iser=".vbval($StrSer)." AND inum=".vbval($StrNum));
			}else{
				ejt("UPDATE ventas 
					SET ven_cob=ven_cob + ".vbval($StrTot)." 
					WHERE iser=".vbval($StrSer)." AND inum=".vbval($StrNum)." AND id_com=$StrCom_");
			}
			//
			ejt("UPDATE devoluciones ".
				"SET dev_usado=dev_usado + ".vbval($StrTot)." ".
				"WHERE id_devolucion=".$DEV_ID);
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('$P_C').focus();";		
			$StrGT="S";
			$LIMPIAR=1;
		}
	}
	//
	if($StrCmd=="A"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			//
			$KOD_ANU_FEC=date("Y-m-d");
			$KOB_ANU_HOR=GetHoraAP();
			$KOB_ANU_TIM=time();
			$KOB_ANU_USU=GetIDU();
			//
			$StrEmp_=gn("cx_id_empresa","cobrox","id_cx=$StrId");
			$StrCom_=gn("cx_id_com","cobrox","id_cx=$StrId");
			$StrTot_=gn("cx_total","cobrox","id_cx=$StrId");
			$StrSer_=vbval(gs("cx_cser","cobrox","id_cx=$StrId"));
			$StrNum_=vbval(gs("cx_cnum","cobrox","id_cx=$StrId"));
			if($StrCom_==-3){
				ejt("UPDATE cotizaciones 
			    SET tot_cob=tot_cob - ".vbval($StrTot_)." 
				WHERE iser=$StrSer_ AND inum=$StrNum_");
			}else{
				$_VEN_ID=gn("ID","z_vis_ventas",
						"ISER=$StrSer_ AND ".
						"INUM=$StrNum_ AND ".
						"ID_COM=$StrCom_ AND ID_EMP=".$StrEmp_);
						
				ejt("UPDATE ventas 
					SET ven_cob=ven_cob - ".vbval($StrTot)." 
					WHERE id_venta=".$_VEN_ID);
			}
			//
			$DEV_ID=gn("cx_id_dev","cobrox","id_cx=$StrId");
			$DEV_TC=gn("cx_total","cobrox","id_cx=$StrId");
			ejt("UPDATE devoluciones ".
			    "SET dev_usado=dev_usado - $DEV_TC ".
				"WHERE id_devolucion=$DEV_ID");
			//
			$s="UPDATE cobrox SET 
				cob_anu='SI',
				cx_anu_fec='$KOD_ANU_FEC',
				cx_anu_hor='$KOB_ANU_HOR',
				cx_anu_tim=$KOB_ANU_TIM,
				cx_anu_usu=$KOB_ANU_USU WHERE id_cx=$StrId";	
			ejt($s);
			$LStrMsg="Registro anulado";
			$LStrFoc="document.getElementById('$P_C').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}		
	}
	//
	if($StrCmd=="E"){
		if(!USU_PER_GET_ES_CAJERO()){
			$LStrMsg="Valido solo para usuarios de cargo cajero";
			$LStrFoc="document.getElementById('CboEmp').focus();";		
			$StrGT="S";
		}
		//
		if(strlen($StrGT)==0){
			if($POL_USU_PER_ELI==0){
				$LStrMsg="El usuario no tiene los permisos para esta accion";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		//
		if(strlen($StrGT)==0){
			$E_ANU=gs("cx_anu","cobrox","id_cx=$StrId");	
			if($E_ANU=="SI"){
				$LStrMsg="El registro se encuentra anulado por lo tanto no se puede eliminar";
				$LStrFoc="document.getElementById('TxtNum').focus();";		
				$StrGT="S";
			}
		}
		//		
		if(strlen($StrGT)==0){
			//
			$StrEmp_=gn("cx_id_empresa","cobrox","id_cx=$StrId");
			$StrCom_=gn("cx_id_com","cobrox","id_cx=$StrId");
			$StrTot_=gn("cx_total","cobrox","id_cx=$StrId");
			$StrSer_=vbval(gs("cx_cser","cobrox","id_cx=$StrId"));
			$StrNum_=vbval(gs("cx_cnum","cobrox","id_cx=$StrId"));
			if($StrCom_==-3){
				ejt("UPDATE cotizaciones 
			    SET tot_cob=tot_cob - ".vbval($StrTot_)." 
				WHERE iser=$StrSer_ AND inum=$StrNum_");
			}else{
				$_VEN_ID=gn("ID","z_vis_ventas",
						"ISER=$StrSer_ AND ".
						"INUM=$StrNum_ AND ".
						"ID_COM=$StrCom_ AND ID_EMP=".$StrEmp_);
				ejt("UPDATE ventas 
					 SET ven_cob=ven_cob - ".vbval($StrTot)." 
					 WHERE id_venta=".$_VEN_ID);
			}
			//
			$DEV_ID=gn("cx_id_dev","cobrox","id_cx=$StrId");
			$DEV_TC=gn("cx_total","cobrox","id_cx=$StrId");
			ejt("UPDATE devoluciones ".
			    "SET dev_usado=dev_usado - $DEV_TC ".
				"WHERE id_devolucion=$DEV_ID");
			//
			$s="DELETE FROM cobrox WHERE id_cx=$StrId";	
			ejt($s);
			$LStrMsg="Registro Eliminado";
			$LStrFoc="document.getElementById('$P_C').focus();";
			$StrGT="S";
			$LIMPIAR=1;
		}	
		
	}
	//
	if($LIMPIAR==1){
		$StrId="";
		$StrNUM="";
		$StrFec=date("d-m-y");		
		$StrCom="";
		$StrSer="";
		$StrNum="";
		$StrTve="";
		$StrAcu="";
		$StrTip="";
		$StrNumT="";
		$StrTotT="";
		$StrDisT="";	
		$StrTot="";
		$StrSal="";
		$StrObs="";
		$StrFecDev="";
		$StrDocVen="";
		$StrDocNum="";
		$StrFecEmi="";
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('$P_C').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>